socketexception.hh File Reference
`#include <iostream>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Network::Exception
| This class is the top exception class used in libsocket. More...

## Namespaces

| Network
| Network namespace represent all networks connection.

## Constant Groups

| Network
| Network namespace represent all networks connection.

## Macros

#define | HERE __FILE__, __LINE__
#define | NEW_EXCEPTION(Name)

## Functions

std::ostream & | Network::operator<< (std::ostream &stream, Exception &e)
| Network::NEW_EXCEPTION (HostnameError)
| exception launched when a hostname is incorrect More...
| Network::NEW_EXCEPTION (Ipv6SupportError)
| exception launched when user want ipv6, but lib is not compiled with More...
| Network::NEW_EXCEPTION (TLSError)
| exception launched when error is received during TLS initialization More...
| Network::NEW_EXCEPTION (InvalidFile)
| exception launched when a file does not exist More...
| Network::NEW_EXCEPTION (TLSSupportError)
| exception launched when user want TLS, but lib is not compiled with More...
| Network::NEW_EXCEPTION (InetptonError)
| exception launched when a addr is invalid pour inet_pton More...
| Network::NEW_EXCEPTION (InetntopError)
| exception launched when the addr is not valid for inet_ntop More...
| Network::NEW_EXCEPTION (ConnectionClosed)
| exception launched when connection is closed More...
| Network::NEW_EXCEPTION (NoConnection)
| exception launched when there is no active connection More...
| Network::NEW_EXCEPTION (Timeout)
| exception launched when there is a timeout More...
| Network::NEW_EXCEPTION (BindError)
| exception launched when bind libc function return an error More...
| Network::NEW_EXCEPTION (SocketError)
| exception launched when socket libc function return an error More...
| Network::NEW_EXCEPTION (ListenError)
| exception launched when listen libc function return an error More...
| Network::NEW_EXCEPTION (SetsockoptError)
| exception launched when setsockopt libc function return an error More...
| Network::NEW_EXCEPTION (CloseError)
| exception launched when close libc function return an error More...
| Network::NEW_EXCEPTION (SelectError)
| exception launched when select libc function return an error More...
| Network::NEW_EXCEPTION (ConnectError)
| exception launched when connect libc function return an error More...
| Network::NEW_EXCEPTION (AcceptError)
| exception launched when accept libc function return an error More...
| Network::NEW_EXCEPTION (GetpeernameError)
| exception launched when getpeername libc function return an error More...
| Network::NEW_EXCEPTION (WSAStartupError)
| exception launched when WSAStartup windows function return an error More...

## Macro Definition Documentation

#define HERE __FILE__, __LINE__

Definition at line 26 of file socketexception.hh.

Referenced by Network::NetSocket::_accept(), Network::NetSocket::_bind(), Network::LocalSocket::_bind(), Network::Socket::_check_answer(), Network::Socket::_close(), Network::NetSocket::_connect(), Network::NetSocket::_get_addr(), Network::Socket::_listen(), Network::NetSocket::_read_line(), Network::LocalSocket::_read_line(), Network::UdpSocket::_read_line_bin(), Network::TcpSocket::_read_line_bin(), Network::LocalSocket::_read_line_bin(), Network::Socket::_set_timeout(), Network::NetSocket::_write_str(), Network::Socket::_write_str(), Network::LocalSocket::_write_str(), Network::NetSocket::_write_str_bin(), Network::Socket::_write_str_bin(), Network::LocalSocket::_write_str_bin(), Network::Socket::enable_tls(), Network::Socket::init_tls(), and Network::Socket::Socket().

#define NEW_EXCEPTION | ( |  | Name) |  |

Value:
class Name : public Exception \
{ \
public: \
Name(const std::string& desc, const char * file, int line) : \
Exception(desc, file, line) \
{} \
Name() : Exception() {} \
Name(const char *file, int line) : Exception(file, line) {} \
};

Definition at line 31 of file socketexception.hh.